package uraxis;

import com.ur.urcap.api.contribution.program.swing.SwingProgramNodeService;
import com.ur.urcap.api.contribution.toolbar.swing.SwingToolbarService;
import org.osgi.framework.BundleActivator;
import org.osgi.framework.BundleContext;
import com.ur.urcap.api.contribution.InstallationNodeService;
import com.ur.urcap.api.contribution.ProgramNodeService;
import com.ur.urcap.api.contribution.DaemonService;
import uraxis.programnodes.AbsFestoNodeService;
import uraxis.programnodes.NodeType;
import uraxis.programnodes.RelFestoNodeService;
import uraxis.toolbar.MyToolbarService;

/**
 * Hello world activator for the OSGi bundle URCAPS contribution
 *
 */
public class Activator implements BundleActivator {
	public static MyDaemonInterface daemonInterface;

	@Override
	public void start(BundleContext context) throws Exception {
		System.out.println("Activator says Hello World!");
		MyDaemonDaemonService daemonService = new MyDaemonDaemonService();
		MyDaemonInstallationNodeService installationNodeService = new MyDaemonInstallationNodeService(daemonService);

		context.registerService(InstallationNodeService.class, installationNodeService, null);
		// context.registerService(ProgramNodeService.class, new MyDaemonProgramNodeService(), null);
		context.registerService(DaemonService.class, daemonService, null);
		context.registerService(SwingToolbarService.class, new MyToolbarService(), null);
		context.registerService(SwingProgramNodeService.class, new AbsFestoNodeService(), null);
		context.registerService(SwingProgramNodeService.class, new RelFestoNodeService(), null);
	}

	@Override
	public void stop(BundleContext bundleContext) throws Exception {
		System.out.println("Activator says Goodbye World!");
	}
}

