package uraxis.programnodes;

import com.ur.urcap.api.contribution.ViewAPIProvider;
import com.ur.urcap.api.contribution.program.ContributionConfiguration;
import com.ur.urcap.api.contribution.program.CreationContext;
import com.ur.urcap.api.contribution.program.ProgramAPIProvider;
import com.ur.urcap.api.contribution.program.swing.SwingProgramNodeService;
import com.ur.urcap.api.domain.SystemAPI;
import com.ur.urcap.api.domain.data.DataModel;

import java.util.Locale;

public class RelFestoNodeService implements SwingProgramNodeService<FestoNodeContribution, FestoNodeView> {


    @Override
    public String getId() {
        return "FestoREL";
    }

    @Override
    public void configureContribution(ContributionConfiguration configuration) {
        configuration.setChildrenAllowed(false);
    }

    @Override
    public String getTitle(Locale locale) {
        return "FestoREL";
    }

    @Override
    public FestoNodeView createView(ViewAPIProvider apiProvider) {
        SystemAPI systemAPI = apiProvider.getSystemAPI();
        Style style =  new V5Style();
        return new FestoNodeView(style);
    }

    @Override
    public FestoNodeContribution createNode(
            ProgramAPIProvider apiProvider,
            FestoNodeView view,
            DataModel model,
            CreationContext context) {
        return new FestoNodeContribution(apiProvider, view, model, NodeType.REL);
    }
}
